Bug 119002 - xorg seems to not recognize radeon mobility 9600
xorg seems to not recognize radeon mobility 9600
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-03-23 14:41 EST by Trever Adams
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-18 08:59:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Log file when using the radeon driver (37.91 KB, text/plain)
2004-08-02 15:38 EDT, Douglas Furlong
no flags Details

  None (edit)
Description Trever Adams 2004-03-23 14:42:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040312 Galeon/1.3.13

Description of problem:
Maybe this is actually a bug with system-config-display, but FC
rawhide leading up to FC2 (test2) doesn't seem to recognize the Radeon
Mobility 9600.  From what I understand this is a standard chip XFree86
already has a good (non-VESA) driver for, but the pciids are
different, here they are.

4e50	RV350 [Mobility Radeon 9600 M10]
New PCI ID provided by ATI developer relations
4e52	RV350 [Mobility Radeon 9600 M10]
New PCI ID provided by ATI developer relations

I had seen a patch for XFree86 (but I believe it came after RC2 or
whatever where the license changed).  IF at all possible, can this be
added into xorg and system-config-display.  Also, it may be a good
thing to add support for WXGA style resolutions to config-display
(such as 1280x800).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
All information is in description

Additional info:
Comment 1 Douglas Furlong 2004-08-02 15:37:07 EDT
I am still having this problem with the Mobility Radeon M10, and the
version of Xorg below.


I will attach my copy of the /var/log/Xorg.0.log file that is
generated when using the radeon driver (hand edit xorg.conf file) on
this hardware.

I have not tested the stability too much due to the resolution on my
external monitor being forced to 800*600, even though when using the
vesa driver it works at 1600*1200.

Is there any chance of this being fixed for FC3?

Please let me know what help you require and I will be as active as
Comment 2 Douglas Furlong 2004-08-02 15:38:52 EDT
Created attachment 102371 [details]
Log file when using the radeon driver

This is the Log file for for Xorg, when forcing the use of the radeon driver.
Hopefully this is of help to the developers.
Comment 3 Douglas Furlong 2004-08-18 06:13:44 EDT
I have just updated to the latest versions from rawhide and my
graphics card is now detected.

I am still running in to problems with multi monitor support (second
CRT monitor seems limited to 800*600 when using the LCD display of the
laptop, as well as difficulties getting them working properly at all).

For me this particular bug seems to be resolved.
Comment 4 Mike A. Harris 2004-08-18 08:59:59 EDT
Ok, changing bug status to "RAWHIDE".

If you experience problems with rawhide Xorg builds, please file
them into X.Org bugzilla for best results:

http://bugs.freedesktop.org "xorg" component.

Thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.